{
  "type": "module",
  "private": true,
  "scripts": {
    "dev": "vite",
    "build": "vite build",
    "build:test": "vite build --mode test",
    "generate": "vite-ssg build",
    "generate:test": "vite-ssg build --mode test",
    "preview": "vite preview",
    "test": "vitest",
    "test:u": "vitest -u",
    "type-check": "vue-tsc --noEmit",
    "lint": "eslint .",
    "lint-fix": "eslint . --fix"
  },
  "dependencies": {
    "@css-render/vue3-ssr": "^0.15.14",
    "@vueuse/core": "^10.11.0",
    "gsap": "^3.12.5",
    "naive-ui": "^2.38.2",
    "pinia": "^2.1.7",
    "swiper": "<11",
    "vue": "^3.4.29",
    "vue-router": "^4.3.3"
  },
  "devDependencies": {
    "@byyuurin/eslint-config": "^1.3.0",
    "@types/gsap": "^3.0.0",
    "@types/node": "^20.14.2",
    "@types/swiper": "^6.0.0",
    "@unhead/vue": "^1.9.13",
    "@unocss/eslint-plugin": "^0.58.9",
    "@unocss/reset": "^0.58.9",
    "@vitejs/plugin-vue": "^5.0.5",
    "cross-env": "^7.0.3",
    "eslint": "^8.57.0",
    "eslint-plugin-format": "^0.1.2",
    "postcss": "^8.4.38",
    "postcss-nested": "^6.0.1",
    "typescript": "^5.4.5",
    "unocss": "^0.58.9",
    "unplugin-auto-import": "^0.17.6",
    "unplugin-vue-components": "^0.26.0",
    "vite": "^5.3.1",
    "vite-plugin-pages": "^0.32.2",
    "vite-ssg": "^0.23.7",
    "vitest": "^1.6.0",
    "vue-tsc": "^1.8.27"
  },
  "postcss": {
    "map": false,
    "plugins": {
      "postcss-nested": {}
    }
  }
}
